Skip to content
Prividium

webauthn

GET /admin/webauthn/users/{userId}

GET/admin/webauthn/users/{userId}

List all passkeys for a user (admin only)

Path Parameters

userIdRequired
string

Responses

DELETE /admin/webauthn/users/{userId}

DELETE/admin/webauthn/users/{userId}

Reset all passkeys for a user (admin only)

Path Parameters

userIdRequired
string

Responses

DELETE /admin/webauthn/users/{userId}/{credentialId}

DELETE/admin/webauthn/users/{userId}/{credentialId}

Delete a specific passkey for a user (admin only)

Path Parameters

userIdRequired
string
credentialIdRequired
string

Responses

204Default Response

POST /webauthn/register/begin

POST/webauthn/register/begin

Begin passkey registration for the authenticated user

Responses

POST /webauthn/register/finish

POST/webauthn/register/finish

Complete passkey registration for the authenticated user

Request Body

application/json
responseRequired
object

deviceName
string·max 100

Responses

GET /webauthn/credentials

GET/webauthn/credentials

List all passkeys for the authenticated user

Responses

PUT /webauthn/credentials/{id}

PUT/webauthn/credentials/{id}

Update a passkey

Path Parameters

idRequired
string

Request Body

application/json
deviceNameRequired
string·max 100

Responses

DELETE /webauthn/credentials/{id}

DELETE/webauthn/credentials/{id}

Delete a passkey (blocked if it is the last passkey of an MFA-required account)

Path Parameters

idRequired
string

Responses

204Default Response

POST /webauthn/step-up/begin

POST/webauthn/step-up/begin

Begin a WebAuthn step-up ceremony for the given action

Request Body

application/json
actionRequired
string·min 1·max 100

Responses

POST /webauthn/step-up/finish

POST/webauthn/step-up/finish

Complete a WebAuthn step-up ceremony and receive a single-use proof token

Request Body

application/json
actionRequired
string·min 1·max 100
assertionRequired
object

Responses